import { request } from '@@/plugin-request/request';
import { stringify } from 'qs';

/**
 * 首页数据统计
 */
export async function getStatisticData(params: any) {
  return request(`/web/v1/statistic/dev_online?${stringify(params)}`);
}

/**
 * 获取用户数据
 */
export async function getNewUserData() {
  return request(`/web/v1/statistic/new_user_statistic`);
}

/**
 * 获取App使用次数数据
 */
export async function getAppUserData() {
  return request(`/web/v1/statistic/app_user_count`);
}

/**
 * 获取日活跃用户数据
 */
export async function getDailyActiveData() {
  return request(`/web/v1/statistic/daily_active_users`);
}
